Ubuntu

[Acer Ferrari 4000] Copying files to USB flash drive is extremely slow

Reported by zvaral on 2010-03-19
384
This bug affects 80 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
Unknown
Unknown
linux (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Adam Porter
Nominated for Maverick by Adam Porter
openSUSE
Unknown
Unknown

Bug Description

Copying files from an internal hard drive to an external USB pandrive is slowing down during this process in Lucid Lynx alpha3 with all the updates until now. Also note that the copying speed is well below the standard rate for high-speed USB devices even in the initial state.

As a first look this phenomenon is independent of the filesystem of the USB stick although some effect may be observed. I formatted it either ext3, ntfs or vfat the result was the same. Copying starts around 20-30 MB/sec transfer speed and around 300 MB copied materials the process is slowing down below 15 MB/sec and between 400-500 MB transfered data it is below 10 MB/sec. Reaching the 1GB amount of copied data the speed is only around 2 MB/sec. In case of using vfat file system the transfer speed may go below the 1MB/sec transfer speed at this stage.

The number of the files I transfered from my hard drive to a 16GB USB pandrive were 350 with a total size of 5.4GB.

In an other experiment (with ntfs usb partition) transferring only one large file having a size of 2.7GB took more than a hour (0.7 MB/sec in average)!

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: zoli 1325 F.... pulseaudio
 /dev/snd/pcmC0D0p: zoli 1325 F...m pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'IXP'/'ATI IXP rev 2 with ALC250 at 0xc0003400, irq 17'
   Mixer name : 'Realtek ALC250 rev 2'
   Components : 'AC97a:414c4752'
   Controls : 33
   Simple ctrls : 21
Card1.Amixer.info:
 Card hw:1 'Modem'/'ATI IXP Modem rev 2 at 0xc0003800, irq 17'
   Mixer name : 'Silicon Laboratory Si3036,8 rev 15'
   Components : 'AC97m:53494c2f'
   Controls : 3
   Simple ctrls : 3
Card1.Codecs.codec97.0.mc97.1.1:
 1-1/0: Silicon Laboratory Si3036,8 rev 15

 Extended modem ID: codec=1 LIN1
 Modem status : GPIO MREF ADC1 DAC1 PRE(ADC2) PRF(DAC2) PRG(HADC) PRH(HDAC)
 Line1 rate : 13714Hz
Date: Fri Mar 19 13:46:04 2010
DistroRelease: Ubuntu 10.04
HibernationDevice: RESUME=UUID=3ce2aaac-b25e-4863-91a2-0a57ade09901
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100224.1)
Lsusb:
 Bus 003 Device 003: ID 15d9:0a33 Dexon Mouse
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 018: ID 3538:0059 Power Quotient International Co., Ltd
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Acer, inc. Ferrari 4000
Package: linux-image-2.6.32-16-generic 2.6.32-16.25
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.32-16-generic root=UUID=4ceac70f-55c9-4a91-baae-aee960ec8114 ro quiet splash
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
Regression: No
RelatedPackageVersions: linux-firmware 1.32
Reproducible: Yes
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
TestedUpstream: No
Uname: Linux 2.6.32-16-generic x86_64
dmi.bios.date: 03/20/06
dmi.bios.vendor: Acer
dmi.bios.version: 3A27
dmi.board.name: Ferrari IV
dmi.board.vendor: Acer, Inc.
dmi.board.version: Not Applicable
dmi.chassis.type: 1
dmi.chassis.vendor: , Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvr3A27:bd03/20/06:svnAcer,inc.:pnFerrari4000:pvrNotApplicable:rvnAcer,Inc.:rnFerrariIV:rvrNotApplicable:cvn,Inc.:ct1:cvrN/A:
dmi.product.name: Ferrari 4000
dmi.product.version: Not Applicable
dmi.sys.vendor: Acer, inc.

zvaral (z-varallyay) wrote :
Mitch Towner (kermiac) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 197762, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Please continue to report any other bugs you may find.

Changed in linux (Ubuntu):
status: New → Confirmed
Theodore Ts'o (tytso) wrote :

No, no, no!!!!!

Please, can we not tell people to dogpile onto bug #197762?

That bug is so dogpiled as to be useless.

We need to have separate bugs for separate performance problems, instead of assuming that all reported performance problems with USB drives should be directed to a bug that multiple people have been trying to shut down as "there's no intelligent life here, Scotty", which was opened over two years ago, and for which there are at least three separate and distinct problems, and probably more, all horribly mixed together.

Can someone official in Ubuntu step up and say whether or not this horrible practice should be continued?

I'm seriously thinking about writing a blog entry, "Why Launchpad is terminally broken, and why all upstream devs should ignore it as a waste of their time", and pointing to #197762, and misguided attempts to get people to dogpile onto this misbegotten bug, as a exhibit number #1 as to why kernel developers are ignoring Launchpad and why it is more of a menance than a help to upstream developers. If canonical isn't providing upstream development assistance, and they're not providing enough talented people to do bug triage, and they are claiming that the value they are bringing to upstream projects is lots of users and lots of bug reports, this is a prime example of why This Isn't Working For Us.

Adam Porter (alphapapa) wrote :

I am also experiencing this bug.

Kubuntu 10.04 Lucid
Lenovo ThinkPad T61
OCZ Rally2 4GB flash drive, FAT32

It's taking over 30 minutes just to copy a 500 MB file. I've also tried copying two 1 GB files, and I don't even know how long that's taken. It's crazy. This drive's write speed is higher than average, but even at a slow, average write speed of 5 MB/sec, copying 2 GB should take less than 7 minutes.

I did some digging on Google, and I tried switching the flash drive to the anticipatory I/O scheduler, but it made no difference. I tried using NTFS instead of FAT32, but it made no difference.

This is just plain crazy. I can copy faster (meaning, normal speeds) in Windows or in 8.04 Hardy or in Debian. Something is seriously wrong.

summary: - copying files to an usb pandrive is slow and slows down in time (Lucid
- Lynx)
+ Copying files to USB flash drive is extremely slow

I'm not sure, but bug 575749 may be related to this. Here's what happened:

I was still waiting for the two 1 GB files to copy to the 4 GB flash drive. It was taking so long that I decided to burn a DVD of the files while I was waiting, because it obviously would finish sooner! After putting the DVD in, KDE mounted it, but I was then unable to umount it because umount crashed with a buffer overflow error every time (see bug 575749).

Later I gave up on the whole process and decided to go ahead and reboot. I chose to restart from within KDE, but it only closed down the GUI and left me with a cursor on a black screen. I switched to tty2 and tried to log in, but the login script hung after displaying the welcome message and package-updates message--I got no prompt. I switched to another tty and logged in as another user, which worked immediately.

At this point I was not sure what to do: the file copy was still not finished, and I couldn't finish logging out to reboot. I couldn't even log in to a shell to kill the remaining processes! I hadn't set a root password yet, and the only other user account couldn't use sudo. It was looking like I was going to have to do a hard reset or SysRq sync and reboot.

I decided to go ahead and pull the flash drive while it was writing. Suddenly my tty login finished, the KDE log-out process continued, and I was able to umount the DVD.

So it appears that not only was the write to the USB drive extremely slow, but somehow it was blocking umount on my DVD drive, and blocking my tty login on the same user account that the write process was running as. This is crazy.

Bartosz Kosiorek (gang65) wrote :
Bráulio (brauliobo) wrote :

same here using kde, gnome, or rsync to copy files, with lucid on a asus t91

kkietzke (ky-alumni) wrote :

I apologize for not having time to really test this, but hopefully this info will help someone who has time...

I encountered a similar problem to Adam Porter's comment #5, using grsync. I tried again, leaving the computer alone overnight, and when I woke up the next morning, it was frozen. I'm trying it again using cp from the command line, and gkrellm is showing me something rather interesting. I'm copying from the internal drive (just a normal drive, not solid state) to an external usb hard drive. It appears that the output to the external drive is being buffered, and when the buffer is being flushed, it is consistently hitting a max of 30MB/sec. However, the transfer rate from the internal drive has been creeping down; if I remember correctly it started out at around 10MB/sec and at this point it's down to 2.2MB/sec and still creeping down. I think I'm going to kill the copy and reboot - it has only copied 14GB of a 30GB file, and I strongly suspect that it will freeze before it finishes at the rate things are going. I guess I'll have to boot off my karmic flash drive to copy this file...

I'm running lucid on an Asus Eee PC 1005ha. I have seen the slow copy problem before in nautilus, but it's never frozen like this. I think a recent patch may have broken it.

braweheart (braweheart) wrote :

it's been a long long time since I could copy large amount of data to my usb stick fast in ubuntu, probably since 7.04 or 7.10. (Maybe, just maybe, I can find the time to reinstall old ubuntu versions and test. I'll get back to you if I do).

Recently I wanted to copy 10GB to a 16GB usb stick, from ext4 to fat32. After 30 minutes I got tired and clicked abort, it took some time to abort the operation. Then I transferred the 10GB to a usb hard drive with ntfs (quite quick), logged in to xp (dualboot so same computer) and transferred from the usb hard drive to the usb stick (still in the same usb port) and it didnät take as long as 5 minutes. Sorry to say but it really is depressing.

I'll get back to you if I get some real testing done.

Patryk Szalanski (musefan) wrote :

I have been following those kinds of reports and I find it very annoying that it hasn't been fixed yet. Even an upgrade to 2.6.33 didn't change a thing. It seems like no one ever copies files bigger than ~ 500 MB to a USB drive. My memory fills up to 99% and then the speed drops to some KBytes/s which is not acceptable. Why oh why does no one fix this. Is it not getting enough attention? Windows is still my number one option if things like this keep getting in my way.

kkietzke (ky-alumni) wrote :

It is also worth noting that this problem is not restricted to relatively small usb sticks. I have the same problem copying large (30GB) files to a 1TB external drive. When you have a drive that big - or bigger - 30GB files are not at all unreasonable. I've started booting with Fedora to copy my large files, and I see the problem to some extent there, but it's nowhere near as bad as the recent Ubuntu issues, and it doesn't freeze.

turbolad (turbolad995) wrote :

I have this same problem. :(

Ed (ikonitas1) wrote :

Me too the same problem! 2.6.32-25

Charlton (charlton-grant) wrote :

Linux home 2.6.32-25-generic #44-Ubuntu SMP Fri Sep 17 20:05:27 UTC 2010 x86_64 GNU/Linux

AMD 64 same problem

initial fast copy (or so it says) then slows to a crawl if it finishes at all. via command line and nautilus.
When I do boot into windows on the same machine no problems whatsoever other than the fact I am in windows. :(

philinux (philcb) wrote :

I just copied a 699 mb iso file to usb and it copied at 8 mb/sec consistently. No slow down at all.

This is Maverick 64 bit fully up to date. Has a fix been inadvertently found?

philinux (philcb) wrote :

Well that was short lived. Back to the usual crawl.

:(

ilesal (ilesal) wrote :

I have to same issue, I have tried one file at a time. I have tried several different USB sticks and external HDDs, I get good write speeds to start and then it goes to a craw before hanging for up to a few minutes. This has been an issue for me since 10.04, then 10.10 RC and now on 10.10 final. (64bit) Very frustrating.

QuentinHartman (qhartman) wrote :

I installed the kernel linux-image-2.6.36-020636-generic from the mainline-ppa and it created a marginal improvement. Speed still was initially quite high, but then it decreased continually until it reached into the 1-2MB range where I aborted the transfer. The difference between the behavior with 2.6.35-22-generic and the newer kernel was that the speed drop was slower. I was able to copy about 1GB of data in a reasonable time, whereas with the older kernel things slowed substantially after only copying about 300MB. This performance drop seems to happen regardless of the method used to copy the data. I've tried copies via nautilus, cp, and rsync. Even the process of creating an ext3 partition on the device seems to slow as it progresses.

Unibody Macbook Pro w/ 2.53Ghz processor
4GB RAM

USB drive is a 32GB OCZ Rally2 that is identified by lsusb as "Bus 002 Device 005: ID 1307:0165 Transcend Information, Inc. 2GB/4GB Flash Drive". I am plugging it directly into the USB port of the computer.

Complete lsusb output:

Bus 004 Device 003: ID 05ac:8217 Apple, Inc. Bluetooth USB Host Controller
Bus 004 Device 002: ID 0a5c:4500 Broadcom Corp. BCM2046B1 USB 2.0 Hub (part of BCM2046 Bluetooth)
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 003: ID 05ac:0236 Apple, Inc. Internal Keyboard/Trackpad (ANSI)
Bus 003 Device 002: ID 05ac:8242 Apple, Inc. IR Receiver [built-in]
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 005: ID 1307:0165 Transcend Information, Inc. 2GB/4GB Flash Drive
Bus 002 Device 003: ID 05ac:8403 Apple, Inc.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 009: ID 045e:071d Microsoft Corp.
Bus 001 Device 008: ID 0424:2228 Standard Microsystems Corp. 9-in-2 Card Reader
Bus 001 Device 007: ID 0424:2602 Standard Microsystems Corp. USB 2.0 Hub
Bus 001 Device 006: ID 0424:2512 Standard Microsystems Corp. USB 2.0 Hub
Bus 001 Device 003: ID 05ac:8507 Apple, Inc.
Bus 001 Device 002: ID 0409:005a NEC Corp. HighSpeed Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

I would really like to help get this problem fixed and am willing to provide any assistance I can.

QuentinHartman (qhartman) wrote :

I switched back to the 2.6.35-22-generic kernel because I didn't want to fight with getting Vmware working with the newer kernel. I started a large copy to the OCZ Rally2 stick I've been using, and for some reason this time the copy more or less stopped decelerating around 5MB/sec. It's now sitting at 4.4MB/sec and has copied about 21GB of data in the last hour and a half or so. Still not as fast as I would hope, but at least it's usable. I don't know what changed between yesterday and today when I was getting an estimated 30 hours to complete the copy, but I'll take it. My offer to help do troubleshooting with an interested dev on this stands. The only thing worse than consistent poor performance is inconsistent poor performance...

Bart (blwegrzyn) wrote :

same problem here, i cannot believe that nobody knows anything
so dont be surprise when u see people using windows,
why ? cause it works

blwegrzyn@blwegrzyn-laptop:~$ lsusb
Bus 007 Device 003: ID 0b97:7772 O2 Micro, Inc. OZ776 CCID Smartcard Reader
Bus 007 Device 002: ID 0b97:7761 O2 Micro, Inc. Oz776 1.1 Hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 005: ID 413c:8134 Dell Computer Corp. Wireless 5720 Sprint Mobile Broadband (EVDO Rev-A) Minicard Status Port
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 003: ID 413c:8140 Dell Computer Corp. Wireless 360 Bluetooth
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
blwegrzyn@blwegrzyn-laptop:~$
blwegrzyn@blwegrzyn-laptop:~$
blwegrzyn@blwegrzyn-laptop:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation G86M [Quadro NVS 135M] (rev a1)
03:01.0 CardBus bridge: O2 Micro, Inc. Cardbus bridge (rev 21)
03:01.4 FireWire (IEEE 1394): O2 Micro, Inc. Firewire (IEEE 1394) (rev 02)
09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5755M Gigabit Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Broadcom Corporation BCM4311 802.11b/g WLAN (rev 01)
blwegrzyn@blwegrzyn-laptop:~$

Emeric Vigier (emeric-vigier) wrote :

I got a similar problem, but not sure it's the same. My external USB HDD (Iomega 320GB USB2.0) is automatically mounted on /media/disk-1 at my Ubuntu10.04 startup through /etc/fstab:

proc /proc proc nodev,noexec,nosuid 0 0
/dev/sda1 / ext4 errors=remount-ro 0 1
/dev/sda4 /home ext4 defaults 0 2
/dev/sda2 /opt ext4 defaults 0 2
# swap was on /dev/sda3 during installation
UUID=a1a3d3a1-6a3c-4f16-9015-8bd1876fa89b none swap sw 0 0
UUID=51165527-e547-4bea-ac72-83c8290826f8 /media/disk-1 ext3 rw,nosuid,nodev,uhelper=hal 0 0

Every monday, I'm starting up my Linux machine, taking care that the HDD is powered on before powering on my PC. This to ensure HDD is ready when Ubuntu needs it. Indeed Ubuntu startup is very fast now. HDD contains two partitions (ext3 and NTFS):

$ mount | grep sdb
/dev/sdb2 on /media/disk-1 type ext3 (rw,nosuid,nodev,uhelper=hal)
/dev/sdb1 on /media/15388EE8577DA058 type fuseblk (rw,nosuid,nodev,allow_other,blksize=4096,default_permissions)

Nevertheless startup message tells me that /media/disk-1 cannot be mounted because drive is not ready/present. Then after few seconds, it disappeared, and loggin screen pops up. It has been properly mounted but accesses (writes) are terribly slow. I restart my machine without powering off my HDD and everything got back to normal performances. As long as I restart, performances are ok. If I shutdown, next reboot will be terrible in terms of external USB HDD performances... I haven't made many logs but can get some on demand.

Could you run some benchmarks before and after rebooting, copying at
least a few gigs of data?

On Mon, Nov 8, 2010 at 04:25, Emeric Vigier <email address hidden> wrote:
> I got a similar problem, but not sure it's the same. My external USB HDD
> (Iomega 320GB USB2.0) is automatically mounted on /media/disk-1 at my
> Ubuntu10.04 startup through /etc/fstab:
>
> proc                /proc           proc    nodev,noexec,nosuid 0       0
> /dev/sda1       /               ext4    errors=remount-ro 0       1
> /dev/sda4       /home           ext4    defaults        0       2
> /dev/sda2       /opt            ext4    defaults        0       2
> # swap was on /dev/sda3 during installation
> UUID=a1a3d3a1-6a3c-4f16-9015-8bd1876fa89b none            swap    sw              0       0
> UUID=51165527-e547-4bea-ac72-83c8290826f8 /media/disk-1   ext3    rw,nosuid,nodev,uhelper=hal 0 0
>
> Every monday, I'm starting up my Linux machine, taking care that the HDD
> is powered on before powering on my PC. This to ensure HDD is ready when
> Ubuntu needs it. Indeed Ubuntu startup is very fast now. HDD contains
> two partitions (ext3 and NTFS):
>
> $ mount | grep sdb
> /dev/sdb2 on /media/disk-1 type ext3 (rw,nosuid,nodev,uhelper=hal)
> /dev/sdb1 on /media/15388EE8577DA058 type fuseblk (rw,nosuid,nodev,allow_other,blksize=4096,default_permissions)
>
> Nevertheless startup message tells me that /media/disk-1 cannot be
> mounted because drive is not ready/present. Then after few seconds, it
> disappeared, and loggin screen pops up. It has been properly mounted but
> accesses (writes) are terribly slow. I restart my machine without
> powering off my HDD and everything got back to normal performances. As
> long as I restart, performances are ok. If I shutdown, next reboot will
> be terrible in terms of external USB HDD performances... I haven't made
> many logs but can get some on demand.
>
> --
> Copying files to USB flash drive is extremely slow
> https://bugs.launchpad.net/bugs/541937
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Ok, I'll check with bonnie++ the bitrate. I keep you posted.

Thammuz (pmrmp) wrote :

Same problem here. I've tried repeatedly to switch to 64bit Ubuntu. Since 9.4 (or maybe even 8.10, I'm not really sure), every new stable release i tried switching and found this same issue. An issue that not only doesn't present itself with the corresponding 32 bit version but also doesn't happen with any Windows OS i had/have on the same machine.

I've googled for a solution and apparently there isn't one. Considering it's been here for at least a year and a half and Ubuntu takes all this pride in being user friendly, well supported, easy to learn and all that stuff, i think it's absolutely ridiculous.

How about we stop arbitrarily changing the look every two releases until we have EVERYTHING in working order?

What is this, Microsoft? Changes in the GUI justify a shoddy product? Wasting time and resources on forced changes that nobody cares about, like the indicator applet or the buttons on the left side (which took me all of three minutes to correct by hand) while letting a huge bug like this go unnoticed for more than a year and at least three stable distros, one of which a LTS?

If Ubuntu is to be taken seriously it shouldn't have this kind of problem, especially in this day and age where USB drives can store terabytes of data and 64bit is becoming the standard for CPUs. I have very cumbersome data to backup and transfer and, to be able to, i have to sacrifice my entire system's performance by installing the 32 bit version.

Congratulations, apparently Microsoft has outdone at least one Linux distribution on something.

Emeric Vigier (emeric-vigier) wrote :

I got some logs from boonie++ (v1.96) on my external harddrive on a Ubuntu-10.04. All the files are embedded in emeric_01.tar.bz2:

- bonnie_bootedMonday_02.txt (and .html) displays results after a cold poweron on monday morning. Following bonnie++ command has been used:
$ ./bonnieM.sh . 2G 10 ubuntu-10.04_cold
bonnieM.sh is a stupid loop script ("-x" option did not exist in previous versions of bonnie...). It is attached as well.
As you can see, results are just terrible... (1MBps in write)

- bonnie_restartedTuesday_03.txt (and .html) displays results after a restart on tuesday. Following bonnie++ command has been used:
$ ./bonnieM.sh . 2G 10 ubuntu-10.04_restart
I also attached my fstab, which is mounting my external hdd at startup (ext3 format). I attached the dmesg after the restart on tuesday. I have not save the dmesg on monday cold start :-(, but can do it if need be.
As you can see, results are fine (23MBps in write), though probably buffered...

Srivatsa Kanchi R (srivatsak) wrote :

I am trying to copy some > 2GB data from transcend drive (4gb) to internal harddisk
The copy rate keeps at 700 KB/s and nothing more. This was not the case earlier.
current version:
$ uname -a
Linux srikanch-lnx 2.6.32-26-generic #48-Ubuntu SMP Wed Nov 24 09:00:03 UTC 2010 i686 GNU/Linux

$ sudo lsusb -v -s 2:8
Password or swipe finger:

Bus 002 Device 008: ID 8564:1000
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x8564
  idProduct 0x1000
  bcdDevice 11.00
  iManufacturer 1 JetFlash
  iProduct 2 Mass Storage Device
  iSerial 3 44E4PU5Q75MIOXR0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 500mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk (Zip)
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 255
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 255
Device Qualifier (for other device speed):
  bLength 10
  bDescriptorType 6
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  bNumConfigurations 1
Device Status: 0x0000
  (Bus Powered)

IndridCold (gushcsilva) wrote :

I'm having the same problem in two different ubuntu machines.

Thammuz (pmrmp) wrote :

I noticed, while trying to find a substitute for ubuntu on my 64 bit machine, that the problem is not limited, at least in my case, to ubuntu. I tried running the latest fedora and the problem is still there. Could it be Kernel related? Could someone else try this and see if the problem persists with other linux systems?

I do not know much of this but learning. i find write speed very low 150 to 950KB/s. copying takes years,. i find others also facing same prob. please generate a run pkg. to solve this.

DavidM (david-maciejak) wrote :

I am also experiencing some issues, using 2.6.35-22-server x86_64 GNU/Linux ...

jaknong (eric-garraba) wrote :

experiencing the samae problem
copying about 3 GB og files from my WD Element HDD external to my 4 GB Sandisk Cruzer it takes so long to complete.

Linux Mint 9 64 bit
kernel 2.6.32-30-generic x86_64 GNU/Linux

Sam_ (and-sam) wrote :

I'd say this one is a dup of Bug #392089 because it contains more detailed info.

Adam Porter (alphapapa) wrote :

Sam_, that bug is about FAT32, and this bug may not be limited to FAT32. If it's a USB problem, not a fs problem, then it's probably not limited to FAT32.

atom88 (adam-hiatt) wrote :

I am seeing the same problem as well when copying from Ubuntu to an external USB drive.

I'm using Ubuntu 9.10 64 bit version:
2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux

atom88 (adam-hiatt) wrote :
Download full text (9.5 KiB)

Here's my lspci output:

I have an HP 6730b laptop:

lspci
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M LPC Interface Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation ICH9M/M-E SATA AHCI Controller (rev 03)
02:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
85:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)
86:02.0 FireWire (IEEE 1394): Agere Systems FW322/323 (rev 70)

=============================

lspci -v
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
 Subsystem: Hewlett-Packard Company Device 30dd
 Flags: bus master, fast devsel, latency 0
 Capabilities: <access denied>
 Kernel driver in use: agpgart-intel
 Kernel modules: intel-agp

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
 Subsystem: Hewlett-Packard Company Device 30dd
 Flags: bus master, fast devsel, latency 0, IRQ 30
 Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
 Memory at c0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at 60f0 [size=8]
 Capabilities: <access denied>
 Kernel driver in use: i915
 Kernel modules: i915

00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
 Subsystem: Hewlett-Packard Company Device 30dd
 Flags: bus master, fast devsel, latency 0
 Memory at d0400000 (64-bit, non-prefetchable) [size=1M]
 Capabilities: <acc...

Read more...

atom88 (adam-hiatt) wrote :

http://ubuntuforums.org/showthread.php?t=793688&page=15

I found that using the "noop" I/O scheduler as well as doing "sync" to flush out file system buffers helped speed up performance.

You can do it on-the-fly w/o rebooting using the a command like:
echo 'noop' > /sys/block/sdb/queue/scheduler

OR

you can set it in your boot grub boot menu as a kernel option:
=======================================
I found that by appending the string elevator=as to the end of the kernel parameters in /boot/grub/menu.lst, you can enable anticipatory I/O scheduling. The strings elevator=deadline and elevator=noop can be used as well, though I'm not so sure about their effects.
Code:

title Linux Mint 7 Gloria, kernel 2.6.28-15-generic
root (hd0,7)
 kernel /vmlinuz-2.6.28-15-generic root=/dev/sda6 ro quiet splash elevator=as
initrd /initrd.img-2.6.28-15-generic
quiet

=======================================

braweheart (braweheart) wrote :

elevator=as doesn't make any difference for me, still slooow transfer to usb stick.

braweheart (braweheart) wrote :

Possibly fixed by removing tracker.

I personally liked tracker and the indexing functionality and have manually installed it upon every reinstall of a newer version of ubuntu. But a couple of weeks ago I was transferring files to a usb-stick, I made the mistake of transferring to large amount of data at one and the file tranfer hung up. I decided to reboot, then ubuntu told me there was an program running and asked if I wanted to shut down anyway. In this situation in the past, as I can recall, the program that won't quit has been has been "nautilus file transfer" but this time it was tracker-extract. After reboot I uninstalled tracker and since my file transfers haven't hung up. The transfer speeds are ok, about 10-15mb/s, but still not as fast as in windows, but I don't get any system freezes while transferring files to usb stick any more, and the file transfer doesn't hang. Just a minute ago I completed a transfer of 4.3gb (350mb files) to a Sandisk Cruzer micro.

Running 11.04 with gnome desktop.

zvaral, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

paolo gozzini, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
summary: - Copying files to USB flash drive is extremely slow
+ [Acer Ferrari 4000] Copying files to USB flash drive is extremely slow
tags: added: latest-bios-3a27
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.